# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test65
# FileName:      conftest.py
# Author:       lao_zhao
# Datetime:     2025/3/11 10:04
# Description:
# 
# ---------------------------------------------------------------------------
import pytest
import requests

datas = {}

@pytest.fixture(scope="session")
def set_value():
    def set_value(key, value):
        datas[key] = value
        print(datas)
    yield set_value


@pytest.fixture(scope="session")
def get_value():
    def get_value(key):
        value = datas.get(key)
        return value
    yield get_value


@pytest.fixture(scope="session")
def session_fix():
    yield requests.sessions.Session()